package com.sf._01_抽象类;

public abstract class Employee {
    private String name;
    private int age;
    private double salary;

    public Employee() {
    }

    public Employee(String name, int age, double salary) {
        this.name = name;
        this.age = age;
        this.salary = salary;
    }

    /**
     * 抽象类当中可以包含之前的普通方法 成员变量  构造器
     * 抽象类和普通类的区别就是里面多了抽象方法
     * 记住抽象方法一定是在抽象类当中
     *
     * 如果你这个类是一个抽象类,
     *    1 子类必须重写父类的抽象方法
     *    2 要不然你让你的子类也声明成抽象类
     */
    public abstract void work();

    public void showInfo(){

    }
}
